Index: tools/build_all.sh
===================================================================
--- tools/build_all.sh	(revision 05d97eef3c4b070607c4de6e90e345abe2b23619)
+++ tools/build_all.sh	(revision 58ef532e9ac1c5e29ae6486904b69c30a5bde49a)
@@ -11,9 +11,9 @@
 # Check command line arguments.
 
-if [ "$#" -gt 1 ] || [ "$#" -eq 1 -a "$1" != '--no-images' ]; then
+if [ "$#" -gt 1 ] || ( [ "$#" -eq 1 ] && [ "$1" != '--no-images' ] ); then
 	echo "Unknown command-line arguments."
 	echo "Usage:"
-	echo "\t$0                    # Build everything."
-	echo "\t$0 --no-images        # Build all code, but don't create bootable images."
+	echo "    $0                    # Build everything."
+	echo "    $0 --no-images        # Build all code, but don't create bootable images."
 	exit 1
 fi
Index: tools/mkarray_for_meson.sh
===================================================================
--- tools/mkarray_for_meson.sh	(revision 05d97eef3c4b070607c4de6e90e345abe2b23619)
+++ tools/mkarray_for_meson.sh	(revision 58ef532e9ac1c5e29ae6486904b69c30a5bde49a)
@@ -1,3 +1,3 @@
-#!/bin/bash
+#!/bin/sh
 
 TOOLS_DIR=`which -- "$0" 2>/dev/null`
